vbi_network Struct Reference
High Level Decoding » Events

Network description. More...

`#include <event.h>`

## Data Fields

vbi_nuid | nuid
signed char | name [64]
signed char | call [40]
int | tape_delay
int | cni_vps
int | cni_8301
int | cni_8302
int | reserved
int | cycle

## Detailed Description

Network description.

All strings are ISO 8859-1 encoded (yes that's stupid, sorry) and `NUL` terminated. Prepare for empty strings. Read only.

## Field Documentation

## name

signed char vbi_network::name[64]

Name of the network from XDS or from a table lookup of CNIs in Teletext packet 8/30 or VPS.

Examples
  examples/network.c.

## call

signed char vbi_network::call[40]

Network call letters, from XDS. Empty if unknown or not applicable.

Examples
  examples/network.c.

## tape_delay

int vbi_network::tape_delay

Tape delay in minutes, from XDS. Zero if unknown or not applicable.

## cni_vps

int vbi_network::cni_vps

The European Broadcasting Union (EBU) maintains several tables of Country and Network Identification (CNI) codes. CNIs of type VPS, 8/30/1 and 8/30/2 can be used to identify networks during a channel scan.

This field contains the CNI of the network found in a VPS packet. It can be zero if unknown or CNI's are not applicable. Note VPS has room for only 4 lsb of the country code (0xCNN).

For example ZDF: 0xDC2.

Examples
  examples/network.c.

## cni_8301

int vbi_network::cni_8301

CNI of the network from Teletext packet 8/30 format 1, zero if unknown or not applicable. The country code is stored in the MSB, the network code in the LSB (0xCCNN). Note these CNIs may use different country and network codes than the PDC (VPS, 8/30/2) CNIs.

For example BBC1: 0x447F, ZDF: 0x4902.

Examples
  examples/network.c.

## cni_8302

int vbi_network::cni_8302

CNI of the network from Teletext packet 8/30 format 2, zero if unknown or not applicable. The country code is stored in the MSB, the network code in the LSB (0xCCNN).

For example BBC1: 0x2C7F, ZDF: 0x1DC2.

Examples
  examples/network.c.

## cycle

int vbi_network::cycle

Private.